curl --request POST \
--url https://api.openworklabs.com/v1/capabilities/google-workspace/gmail-message/{messageId}/modify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"addLabelIds": [],
"removeLabelIds": []
}
'import requests
url = "https://api.openworklabs.com/v1/capabilities/google-workspace/gmail-message/{messageId}/modify"
payload = {
"addLabelIds": [],
"removeLabelIds": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({addLabelIds: [], removeLabelIds: []})
};
fetch('https://api.openworklabs.com/v1/capabilities/google-workspace/gmail-message/{messageId}/modify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"threadId": "<string>"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "invalid_request",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Archive, unarchive, mark read or unread, star or change Gmail message labels
Changes labels on one message. Archive removes INBOX; unarchive adds INBOX; mark read removes UNREAD; mark unread adds UNREAD; star adds STARRED; unstar removes STARRED. Supports user label IDs from gmail-labels. Requires gmail.modify, not gmail.labels or gmail.compose. Uses only the calling member’s selected connected Google account. Perform writes only when explicitly requested by the user; capability discovery or selection is not authorization. Never automatically retry an uncertain write.
Authorizations
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Path Parameters
1 - 512Body
Add INBOX to unarchive, UNREAD to mark unread, STARRED to star, or user label IDs. Use the dedicated trash action for TRASH.
1001 - 512Remove INBOX to archive, UNREAD to mark read, STARRED to unstar, or user label IDs. Use the dedicated untrash action for TRASH.
1001 - 512Was this page helpful?